unit Screen;

interface

uses        
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ScadaBase, VisMachine, VisMchb, ExtCtrls, VisDltB,
  VisStatusShape, VisZDVH, VisZDVT, jpeg, SimpleLine, PolyLine, VisButton,
  Buttons, VisZDVC, VisZDVA, VisLabel, VisDynamicPict, VisMcha, VisNumericPanel,
  VisDataboard, VisRadioButton, AdvGlowButton, frxpngimage, VisComboBox,
  VisControl, VisCheckBox;

type
  TScreenForm = class(TForm)
    VisMchb13: TVisMchb;
    Shape7: TShape;
    Shape8: TShape;
    VisNumericPanel4: TVisNumericPanel;
    VisDataboard25: TVisDataboard;
    procedure VisualDeviceClick(Sender: TObject);
    procedure ScadaObjectClick(Sender: TObject; obj: TCustomScadaObject;
      var frm: TForm);
    procedure VisRadioButton1Click(Sender: TObject);
    procedure btGoClick(Sender: TObject);
  private
  public
  end;

var
  ScreenForm: TScreenForm;

implementation
uses
  main,
  numbers,
  meslogging,
  visseqdcontrol,
  TagStorage,
  RpVisualMain,
  RpVisualLegacyPanels,
  Math;

{$R *.dfm}


procedure TScreenForm.VisualDeviceClick(Sender: TObject);
begin
  _VisualDeviceClick(sender);
end;

procedure TScreenForm.ScadaObjectClick(Sender: TObject;
  obj: TCustomScadaObject; var frm: TForm);
begin
  _ScadaObjectClick(sender, obj, frm);
end;


procedure TScreenForm.VisRadioButton1Click(Sender: TObject);
begin
  with Sender as TVisRadioButton do
    SaveMessageText('Маршрут "Общее оборудование"', 'Выбор направления лузги', Hint );
end;


procedure TScreenForm.btGoClick(Sender: TObject);
begin
  with Sender as TVisButton do
    SaveMessageText(Hint, getSeqdNameByTagroot(HelpKeyword), 'Линия ' + TagRoot, clLime );
end;

end.
